[Solved] Odroid Go Arduino library broken for latest arduino-esp32

Post Reply
datatrash
Posts: 20
Joined: Thu May 23, 2019 7:49 am
languages_spoken: german, english
ODROIDs: In order of appearance:

2 x Odroid Go, Odroid-N2, Odroid-HC2, 2 x Odroid Go Advance Black Edition, Odroid Go Super
Location: Münster, Germany
Has thanked: 21 times
Been thanked: 5 times
Contact:

[Solved] Odroid Go Arduino library broken for latest arduino-esp32

Post by datatrash »

Hello,

I just recently tried to play with the Odroid Go and the Arduino IDE again after some years.
And it seems the library is not up to date.
Whatever I did until now, errors persisted.

I first tried adapting the Odroid Go library files to the newer arduino-esp32 library objects. But that seems to be a rather time consuming task, as I have to look everything up and verify that I don't break things myself.
I then tried V1.0.6 and V1.0.4 of the arduino-esp32 libs. But there were incompatibilities with the current esptool and pyserial, I guess.

I would really like to get this to work again. And by now I think the easiest way to go would be a VM.
Is there some kind of suggested setup for the 2018 Odroid Go library?

What versions of Arduino IDE, arduino-esp32, esptool and pyserial would I need to make this work?

Many thanks for all your help

and kind regards,

dt
Last edited by datatrash on Thu Jun 02, 2022 2:14 pm, edited 1 time in total.

User avatar
odroid
Site Admin
Posts: 40102
Joined: Fri Feb 22, 2013 11:14 pm
languages_spoken: English, Korean
ODROIDs: ODROID
Has thanked: 2854 times
Been thanked: 1605 times
Contact:

Re: Odroid Go Arduino library broken for latest arduino-esp32

Post by odroid »

The latest confirmed version seems to be Arduino IDE 1.8.13 on October 2020.
viewtopic.php?f=160&t=40657
These users thanked the author odroid for the post:
datatrash (Tue May 31, 2022 9:47 am)

datatrash
Posts: 20
Joined: Thu May 23, 2019 7:49 am
languages_spoken: german, english
ODROIDs: In order of appearance:

2 x Odroid Go, Odroid-N2, Odroid-HC2, 2 x Odroid Go Advance Black Edition, Odroid Go Super
Location: Münster, Germany
Has thanked: 21 times
Been thanked: 5 times
Contact:

Re: Odroid Go Arduino library broken for latest arduino-esp32

Post by datatrash »

Thank you for the hint and the fast reply! 🙏

datatrash
Posts: 20
Joined: Thu May 23, 2019 7:49 am
languages_spoken: german, english
ODROIDs: In order of appearance:

2 x Odroid Go, Odroid-N2, Odroid-HC2, 2 x Odroid Go Advance Black Edition, Odroid Go Super
Location: Münster, Germany
Has thanked: 21 times
Been thanked: 5 times
Contact:

Re: Odroid Go Arduino library broken for latest arduino-esp32

Post by datatrash »

Just for information in case other people struggle:

It seems that the most recent Arduino IDE 1.8.19 and the arduino-esp library V1.0.6 (the last one before support for ESP32-S2 and -C3 was added) work just fine.

Turns out that what I thought was a problem with esptool and pyserial was caused by something different.
The OS I used had Python 2.7 in $PATH but no releaae candidate for pip2 in its repositories.
Esptool from the Espressif Arduino library seems to work with both versions and pyserial was python3, which I did not recognize.
After

Code: Select all

sudo update-alternatives --install /usr/bin/python python /usr/bin/python3.* 1
everything worked just fine.

User avatar
odroid
Site Admin
Posts: 40102
Joined: Fri Feb 22, 2013 11:14 pm
languages_spoken: English, Korean
ODROIDs: ODROID
Has thanked: 2854 times
Been thanked: 1605 times
Contact:

Re: Odroid Go Arduino library broken for latest arduino-esp32

Post by odroid »

Glad to hear that over near years old libraries are still compatible with the latest Arduino IDE version.
The arduino-esp library V1.0.6 version seems to be quite important though.

AlexPtX
Posts: 1
Joined: Mon Nov 21, 2022 4:17 am
languages_spoken: english
Has thanked: 0
Been thanked: 0
Contact:

Re: [Solved] Odroid Go Arduino library broken for latest arduino-esp32

Post by AlexPtX »

datatrash wrote:
Tue May 31, 2022 8:29 am
Hello,

I just recently tried to play with the Odroid Go and the Arduino IDE again after some years.
And it seems the library is not up to date.
Whatever I did until now, errors persisted.

I first tried adapting the Odroid Go library files to the newer arduino-esp32 library objects. But that seems to be a rather time consuming task, as I have to look everything up and verify that I don't break things myself.
I then tried V1.0.6 and V1.0.4 of the arduino-esp32 libs. But there were incompatibilities with the current esptool and pyserial, I guess. Perhaps the library files are outdated and a new update is needed. I did a research and for other users the application works fine. While searching for a similar problem on https://essaypapers.reviews/, I read that some of my classmates were solving this problem. I wanted to find information on this forum, maybe the problem can be fixed without updating the version of the Arduino IDE.

I would really like to get this to work again. And by now I think the easiest way to go would be a VM.
Is there some kind of suggested setup for the 2018 Odroid Go library?

What versions of Arduino IDE, arduino-esp32, esptool and pyserial would I need to make this work?

Many thanks for all your help

and kind regards,

dt
Probably V1.0.6 is no longer supported. Might be worth updating the version.

Post Reply

Return to “Arduino Coding Camp”

Who is online

Users browsing this forum: No registered users and 2 guests